Index: trunk/MagicSoft/Mars/datacenter/db/magicdefs.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/magicdefs.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/magicdefs.php	(revision 9498)
@@ -66,64 +66,64 @@
 $checkwhere = array
     (
-     "fRunTypeName"                      => CheckWhere("fRunTypeKEY",                      $_GET),
-     "fProjectName"                      => CheckWhere("fProjectKEY",                      $_GET),
-     "fSourceName"                       => CheckWhere("fSourceKEY",                       $_GET),
-     "fMagicNumberName"                  => CheckWhere("fMagicNumberKEY",                  $_GET),
-     "fL1TriggerTableName"               => CheckWhere("fL1TriggerTableKEY",               $_GET),
-     "fL2TriggerTableName"               => CheckWhere("fL2TriggerTableKEY",               $_GET),
-     "fL3TriggerTableName"               => CheckWhere("fL3TriggerTableKEY",               $_GET),
-     "fHvSettingsName"                   => CheckWhere("fHvSettingsKEY",                   $_GET),
-     "fCalibrationScriptName"            => CheckWhere("fCalibrationScriptKEY",            $_GET),
-     "fExcludedFDAName"                  => CheckWhere("fExcludedFDAKEY",                  $_GET),
-     "fManuallyChangedName"              => CheckWhere("fManuallyChangedKEY",              $_GET),
-     "fObservationModeName"              => CheckWhere("fObservationModeKEY",              $_GET),
-     "fSumTriggerFlagName"               => CheckWhere("fSumTriggerFlagKEY",               $_GET),
-     "fDiscriminatorThresholdTableName"  => CheckWhere("fDiscriminatorThresholdTableKEY",  $_GET),
-     "fTriggerDelayTableName"            => CheckWhere("fTriggerDelayTableKEY",            $_GET),
-     "fTestFlagName"                     => CheckWhere("fTestFlagKEY",                     $_GET),
-     "fLightConditionsName"              => CheckWhere("fLightConditionsKEY",              $_GET),
-     "fParticleTypeName"                 => CheckWhere("fParticleTypeKEY",                 $_GET),
-     "fFitsFileName"                     => CheckWhere("fFitsFileKEY",                     $_GET),
-     "fObjectName"                       => CheckWhere("fObjectKEY",                       $_GET),
-     "fStatusName"                       => CheckWhere("fStatusKEY",                       $_GET),
-     "fTelescopeName"                    => CheckWhere("fTelescopeKEY",                    $_GET),
-     "fBandName"                         => CheckWhere("fBandKEY",                         $_GET),
-     "fUserName"                         => CheckWhere("fUserKEY",                         $_GET),
-     "fCycleName"                        => CheckWhere("fCycleKEY",                        $_GET),
-     "fPIName"                           => CheckWhere("fPIKEY",                           $_GET),
-     "fWorkingGroupName"                 => CheckWhere("fWorkingGroupKEY",                 $_GET),
-     "fProposalName"                     => CheckWhere("fProposalKEY",                     $_GET),
+     "fRunTypeName"                      => CheckWhere("fRunTypeKEY"),
+     "fProjectName"                      => CheckWhere("fProjectKEY"),
+     "fSourceName"                       => CheckWhere("fSourceKEY"),
+     "fMagicNumberName"                  => CheckWhere("fMagicNumberKEY"),
+     "fL1TriggerTableName"               => CheckWhere("fL1TriggerTableKEY"),
+     "fL2TriggerTableName"               => CheckWhere("fL2TriggerTableKEY"),
+     "fL3TriggerTableName"               => CheckWhere("fL3TriggerTableKEY"),
+     "fHvSettingsName"                   => CheckWhere("fHvSettingsKEY"),
+     "fCalibrationScriptName"            => CheckWhere("fCalibrationScriptKEY"),
+     "fExcludedFDAName"                  => CheckWhere("fExcludedFDAKEY"),
+     "fManuallyChangedName"              => CheckWhere("fManuallyChangedKEY"),
+     "fObservationModeName"              => CheckWhere("fObservationModeKEY"),
+     "fSumTriggerFlagName"               => CheckWhere("fSumTriggerFlagKEY"),
+     "fDiscriminatorThresholdTableName"  => CheckWhere("fDiscriminatorThresholdTableKEY"),
+     "fTriggerDelayTableName"            => CheckWhere("fTriggerDelayTableKEY"),
+     "fTestFlagName"                     => CheckWhere("fTestFlagKEY"),
+     "fLightConditionsName"              => CheckWhere("fLightConditionsKEY"),
+     "fParticleTypeName"                 => CheckWhere("fParticleTypeKEY"),
+     "fFitsFileName"                     => CheckWhere("fFitsFileKEY"),
+     "fObjectName"                       => CheckWhere("fObjectKEY"),
+     "fStatusName"                       => CheckWhere("fStatusKEY"),
+     "fTelescopeName"                    => CheckWhere("fTelescopeKEY"),
+     "fBandName"                         => CheckWhere("fBandKEY"),
+     "fUserName"                         => CheckWhere("fUserKEY"),
+     "fCycleName"                        => CheckWhere("fCycleKEY"),
+     "fPIName"                           => CheckWhere("fPIKEY"),
+     "fWorkingGroupName"                 => CheckWhere("fWorkingGroupKEY"),
+     "fProposalName"                     => CheckWhere("fProposalKEY"),
     );
 
 $checkgroup = array
     (
-     "fRunTypeName"                      => CheckGroup("fRunTypeKEY",                      $_GET),
-     "fProjectName"                      => CheckGroup("fProjectKEY",                      $_GET),
-     "fSourceName"                       => CheckGroup("fSourceKEY",                       $_GET),
-     "fMagicNumberName"                  => CheckGroup("fMagicNumberKEY",                  $_GET),
-     "fL1TriggerTableName"               => CheckGroup("fL1TriggerTableKEY",               $_GET),
-     "fL2TriggerTableName"               => CheckGroup("fL2TriggerTableKEY",               $_GET),
-     "fL3TriggerTableName"               => CheckGroup("fL3TriggerTableKEY",               $_GET),
-     "fHvSettingsName"                   => CheckGroup("fHvSettingsKEY",                   $_GET),
-     "fCalibrationScriptName"            => CheckGroup("fCalibrationScriptKEY",            $_GET),
-     "fExcludedFDAName"                  => CheckGroup("fExcludedFDAKEY",                  $_GET),
-     "fManuallyChangedName"              => CheckGroup("fManuallyChangedKEY",              $_GET),
-     "fObservationModeName"              => CheckGroup("fObservationModeKEY",              $_GET),
-     "fSumTriggerFlagName"               => CheckGroup("fSumTriggerFlagKEY",              $_GET),
-     "fDiscriminatorThresholdTableName"  => CheckGroup("fDiscriminatorThresholdTableKEY",  $_GET),
-     "fTriggerDelayTableName"            => CheckGroup("fTriggerDelayTableKEY",            $_GET),
-     "fTestFlagName"                     => CheckGroup("fTestFlagKEY",                     $_GET),
-     "fLightConditionsName"              => CheckGroup("fLightConditionsKEY",              $_GET),
-     "fParticleTypeName"                 => CheckGroup("fParticleTypeKEY",                 $_GET),
-     "fFitsFileName"                     => CheckGroup("fFitsFileKEY",                     $_GET),
-     "fObjectName"                       => CheckGroup("fObjectKEY",                       $_GET),
-     "fStatusName"                       => CheckGroup("fStatusKEY",                       $_GET),
-     "fBandName"                         => CheckGroup("fBandKEY",                         $_GET),
-     "fUserName"                         => CheckGroup("fUserKEY",                         $_GET),
-     "fTelescopeName"                    => CheckGroup("fTelescopeKEY",                    $_GET),
-     "fCycleName"                        => CheckWhere("fCycleKEY",                        $_GET),
-     "fPIName"                           => CheckWhere("fPIKEY",                           $_GET),
-     "fWorkingGroupName"                 => CheckWhere("fWorkingGroupKEY",                 $_GET),
-     "fProposalName"                     => CheckWhere("fProposalKEY",                     $_GET),
+     "fRunTypeName"                      => CheckGroup("fRunTypeKEY"),
+     "fProjectName"                      => CheckGroup("fProjectKEY"),
+     "fSourceName"                       => CheckGroup("fSourceKEY"),
+     "fMagicNumberName"                  => CheckGroup("fMagicNumberKEY"),
+     "fL1TriggerTableName"               => CheckGroup("fL1TriggerTableKEY"),
+     "fL2TriggerTableName"               => CheckGroup("fL2TriggerTableKEY"),
+     "fL3TriggerTableName"               => CheckGroup("fL3TriggerTableKEY"),
+     "fHvSettingsName"                   => CheckGroup("fHvSettingsKEY"),
+     "fCalibrationScriptName"            => CheckGroup("fCalibrationScriptKEY"),
+     "fExcludedFDAName"                  => CheckGroup("fExcludedFDAKEY"),
+     "fManuallyChangedName"              => CheckGroup("fManuallyChangedKEY"),
+     "fObservationModeName"              => CheckGroup("fObservationModeKEY"),
+     "fSumTriggerFlagName"               => CheckGroup("fSumTriggerFlagKEY"),
+     "fDiscriminatorThresholdTableName"  => CheckGroup("fDiscriminatorThresholdTableKEY"),
+     "fTriggerDelayTableName"            => CheckGroup("fTriggerDelayTableKEY"),
+     "fTestFlagName"                     => CheckGroup("fTestFlagKEY"),
+     "fLightConditionsName"              => CheckGroup("fLightConditionsKEY"),
+     "fParticleTypeName"                 => CheckGroup("fParticleTypeKEY"),
+     "fFitsFileName"                     => CheckGroup("fFitsFileKEY"),
+     "fObjectName"                       => CheckGroup("fObjectKEY"),
+     "fStatusName"                       => CheckGroup("fStatusKEY"),
+     "fBandName"                         => CheckGroup("fBandKEY"),
+     "fUserName"                         => CheckGroup("fUserKEY"),
+     "fTelescopeName"                    => CheckGroup("fTelescopeKEY"),
+     "fCycleName"                        => CheckWhere("fCycleKEY"),
+     "fPIName"                           => CheckWhere("fPIKEY"),
+     "fWorkingGroupName"                 => CheckWhere("fWorkingGroupKEY"),
+     "fProposalName"                     => CheckWhere("fProposalKEY"),
     );
 
@@ -131,25 +131,25 @@
 $checkstatusgroup = array
     (
-     "fCCFilled"                         => CheckStatusGroup("fCCFilledStatus",            $_GET),
-     "fExclusionsDone"                   => CheckStatusGroup("fExclusionsDoneStatus",      $_GET),
-     "fSequenceEntriesBuilt"             => CheckStatusGroup("fSequenceEntriesBuiltStatus",$_GET),
-     "fCCFileAvail"                      => CheckStatusGroup("fCCFileAvailStatus",         $_GET),
-     "fCaCoFileAvail"                    => CheckStatusGroup("fCaCoFileAvailStatus",       $_GET),
-     "fCaCoFileFound"                    => CheckStatusGroup("fCaCoFileFoundStatus",       $_GET),
-     "fRawFileAvail"                     => CheckStatusGroup("fRawFileAvailStatus",        $_GET),
-     "fTimingCorrection"                 => CheckStatusGroup("fTimingCorrectionStatus",    $_GET),
-     "fDataCheckDone"                    => CheckStatusGroup("fDataCheckDoneStatus",       $_GET),
-//     "fFillDotRaw"                       => CheckStatusGroup("fFillDotRawStatus",          $_GET),
-     "fSequenceFileWritten"              => CheckStatusGroup("fSequenceFileWrittenStatus", $_GET),
-     "fAllFilesAvail"                    => CheckStatusGroup("fAllFilesAvailStatus",       $_GET),
-     "fCallisto"                         => CheckStatusGroup("fCallistoStatus",            $_GET),
-     "fFillCallisto"                     => CheckStatusGroup("fFillCallistoStatus",        $_GET),
-     "fStar"                             => CheckStatusGroup("fStarStatus",                $_GET),
-     "fFillStar"                         => CheckStatusGroup("fFillStarStatus",            $_GET),
-     "fDataSetInserted"                  => CheckStatusGroup("fDataSetInsertedStatus",     $_GET),
-     "fDataSetFileWritten"               => CheckStatusGroup("fDataSetFileWrittenStatus",  $_GET),
-     "fStarFilesAvail"                   => CheckStatusGroup("fStarFilesAvailStatus",      $_GET),
-     "fGanymed"                          => CheckStatusGroup("fGanymedStatus",             $_GET),
-     "fFillGanymed"                      => CheckStatusGroup("fFillGanymedStatus",         $_GET),
+     "fCCFilled"                         => CheckStatusGroup("fCCFilledStatus"),
+     "fExclusionsDone"                   => CheckStatusGroup("fExclusionsDoneStatus"),
+     "fSequenceEntriesBuilt"             => CheckStatusGroup("fSequenceEntriesBuiltStatus"),
+     "fCCFileAvail"                      => CheckStatusGroup("fCCFileAvailStatus"),
+     "fCaCoFileAvail"                    => CheckStatusGroup("fCaCoFileAvailStatus"),
+     "fCaCoFileFound"                    => CheckStatusGroup("fCaCoFileFoundStatus"),
+     "fRawFileAvail"                     => CheckStatusGroup("fRawFileAvailStatus"),
+     "fTimingCorrection"                 => CheckStatusGroup("fTimingCorrectionStatus"),
+     "fDataCheckDone"                    => CheckStatusGroup("fDataCheckDoneStatus"),
+//     "fFillDotRaw"                       => CheckStatusGroup("fFillDotRawStatus"),
+     "fSequenceFileWritten"              => CheckStatusGroup("fSequenceFileWrittenStatus"),
+     "fAllFilesAvail"                    => CheckStatusGroup("fAllFilesAvailStatus"),
+     "fCallisto"                         => CheckStatusGroup("fCallistoStatus"),
+     "fFillCallisto"                     => CheckStatusGroup("fFillCallistoStatus"),
+     "fStar"                             => CheckStatusGroup("fStarStatus"),
+     "fFillStar"                         => CheckStatusGroup("fFillStarStatus"),
+     "fDataSetInserted"                  => CheckStatusGroup("fDataSetInsertedStatus"),
+     "fDataSetFileWritten"               => CheckStatusGroup("fDataSetFileWrittenStatus"),
+     "fStarFilesAvail"                   => CheckStatusGroup("fStarFilesAvailStatus"),
+     "fGanymed"                          => CheckStatusGroup("fGanymedStatus"),
+     "fFillGanymed"                      => CheckStatusGroup("fFillGanymedStatus"),
     );
 
@@ -157,8 +157,8 @@
 $checkenumgroup = array
     (
-     "fHasSignal"              => CheckEnumGroup("fHasSignalEnum",             $_GET),
-     "fHasPedestal"            => CheckEnumGroup("fHasPedestalEnum",           $_GET),
-     "fHasSignalInterlaced"    => CheckEnumGroup("fHasSignalInterlacedEnum",   $_GET),
-     "fHasPedestalInterlaced"  => CheckEnumGroup("fHasPedestalInterlacedEnum", $_GET),
+     "fHasSignal"              => CheckEnumGroup("fHasSignalEnum"),
+     "fHasPedestal"            => CheckEnumGroup("fHasPedestalEnum"),
+     "fHasSignalInterlaced"    => CheckEnumGroup("fHasSignalInterlacedEnum"),
+     "fHasPedestalInterlaced"  => CheckEnumGroup("fHasPedestalInterlacedEnum"),
     );
 
Index: trunk/MagicSoft/Mars/datacenter/db/mcdefs.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/mcdefs.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/mcdefs.php	(revision 9498)
@@ -17,12 +17,12 @@
 $checkwhere = array
     (
-     "fParticleTypeName"                 => CheckWhere("fParticleTypeKEY",                 $_GET),
-     "fAtmosphericModelName"             => CheckWhere("fAtmosphericModelKEY",             $_GET),
+     "fParticleTypeName"                 => CheckWhere("fParticleTypeKEY"),
+     "fAtmosphericModelName"             => CheckWhere("fAtmosphericModelKEY"),
     );
 
 $checkgroup = array
     (
-     "fParticleTypeName"                 => CheckGroup("fParticleTypeKEY",                 $_GET),
-     "fAtmosphericModelName"             => CheckGroup("fAtmosphericModelKEY",             $_GET),
+     "fParticleTypeName"                 => CheckGroup("fParticleTypeKEY"),
+     "fAtmosphericModelName"             => CheckGroup("fAtmosphericModelKEY"),
     );
 
@@ -30,6 +30,6 @@
 $checkstatusgroup = array
     (
-     "fCorsikaInputCreated" => CheckStatusGroup("fCorsikaInputCreatedStatus", $_GET),
-     "fCorsikaFileAvail" => CheckStatusGroup("fCorsikaFileAvailStatus", $_GET),
+     "fCorsikaInputCreated" => CheckStatusGroup("fCorsikaInputCreatedStatus"),
+     "fCorsikaFileAvail" => CheckStatusGroup("fCorsikaFileAvailStatus"),
     );
 
Index: trunk/MagicSoft/Mars/datacenter/db/mcinfo.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/mcinfo.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/mcinfo.php	(revision 9498)
@@ -15,5 +15,5 @@
                 $statusgroups++;
 
-        $query0 = "SELECT ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS ";
 
         if ($groups>0 || $statusgroups>0)
@@ -279,13 +279,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1" || $html=="2")
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", $result1);
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/menu.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/menu.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/menu.php	(revision 9498)
@@ -698,6 +698,6 @@
         $starmax = $_GET["fStarStop"];
 
-    printf("<p>StarDone&nbsp;(yyyy-mm-dd)&nbsp;from&nbsp;<input name=\"fStarStart\" type=\"text\" size=\"10\" maxlength=\"10\" value=\"%s\">\n", $starmin);
-    printf("to&nbsp;<input name=\"fStarStop\" type=\"text\" size=\"10\" maxlength=\"10\" value=\"%s\">&nbsp;&nbsp;&nbsp;&nbsp;\n", $starmax);
+    printf("<p>StarDone&nbsp;(yyyy-mm-dd hh:mm:ss)&nbsp;from&nbsp;<input name=\"fStarStart\" type=\"text\" size=\"19\" maxlength=\"19\" value=\"%s\">\n", $starmin);
+    printf("to&nbsp;<input name=\"fStarStop\" type=\"text\" size=\"19\" maxlength=\"19\" value=\"%s\">&nbsp;&nbsp;&nbsp;&nbsp;\n", $starmax);
 }
 
@@ -766,5 +766,5 @@
 }
 
-function InitFailInfo($_GET, $first)
+function InitFailInfo($first)
 {
     if (empty($_GET["fStartTime"]))
@@ -781,5 +781,5 @@
 }
 
-function InitInfo($_GET, $first)
+function InitInfo($first)
 {
     if (empty($_GET["fNumResults"]))
@@ -838,8 +838,8 @@
 
     if (empty($_GET["fProposalName"]))
-        $_GET["fPropsalName"]="Off";
-}
-
-function InitRunStatus($_GET, $first)
+        $_GET["fProposalName"]="Off";
+}
+
+function InitRunStatus($first)
 {
    if (empty($_GET["fDataCheckDone"]))
@@ -880,9 +880,9 @@
 }
 
-function InitRunInfo($_GET, $first)
-{
-    InitRunStatus($_GET, $first);
-    InitInfo($_GET, $first);
-    InitFailInfo($_GET, $first);
+function InitRunInfo($first)
+{
+    InitRunStatus($first);
+    InitInfo($first);
+    InitFailInfo($first);
 
     if (empty($_GET["fLinks"]))
@@ -950,5 +950,5 @@
 }
 
-function InitSequStatus($_GET, $first)
+function InitSequStatus($first)
 {
     if (empty($_GET["fSequenceFileWritten"]))
@@ -989,5 +989,5 @@
 }
 
-function InitStarInfo($_GET, $first)
+function InitStarInfo($first)
 {
     if (empty($_GET["fMeanNumberIslands"]))
@@ -1061,5 +1061,5 @@
 }
 
-function InitCalInfo($_GET, $first)
+function InitCalInfo($first)
 {
     if (empty($_GET["fUnreliableInner"]))
@@ -1157,11 +1157,11 @@
 }
 
-function InitSequInfo($_GET, $first)
-{
-    InitInfo($_GET, $first);
-    InitSequStatus($_GET, $first);
-    InitFailInfo($_GET, $first);
-    InitCalInfo($_GET, $first);
-    InitStarInfo($_GET, $first);
+function InitSequInfo($first)
+{
+    InitInfo($first);
+    InitSequStatus($first);
+    InitFailInfo($first);
+    InitCalInfo($first);
+    InitStarInfo($first);
 
     if (empty($_GET["fRunTime/60"]))
@@ -1189,9 +1189,12 @@
         $_GET["fSumTriggerFlagName"]="Off";
 
+    if (empty($_GET["fOnlySum"]))
+        $_GET["fOnlySum"]="Off";
+
 //    if (empty($_GET["fManuallyChangedName"]))
 //        $_GET["fManuallyChangedName"]="Off";
 }
 
-function InitDataSetStatus($_GET, $first)
+function InitDataSetStatus($first)
 {
     if (empty($_GET["fDataSetInserted"]))
@@ -1226,8 +1229,8 @@
 }
 
-function InitDataSetInfo($_GET, $first)
-{
-    InitDataSetStatus($_GET, $first);
-    InitFailInfo($_GET, $first);
+function InitDataSetInfo($first)
+{
+    InitDataSetStatus($first);
+    InitFailInfo($first);
 
     if (empty($_GET["fNumResults"]))
@@ -1299,7 +1302,7 @@
 }
 
-function InitFindOffData($_GET, $first)
-{
-    InitSequInfo($_GET, $first);
+function InitFindOffData($first)
+{
+    InitSequInfo($first);
 
     //init for limits
@@ -1441,5 +1444,92 @@
 }
 
-function InitCTAMCRunStatus($_GET, $first)
+function InitBuildDataSets($first)
+{
+        if (empty($_GET["fNumResults"]))
+//            $_GET["fNumResults"]="50";
+            $_GET["fNumResults"]="10";
+
+        if (empty($_GET["fRunStart"]))
+            $_GET["fRunStart"]=$first?"On":"";
+
+        if (empty($_GET["fRunTime/60"]))
+            $_GET["fRunTime/60"]=$first?"On":"";
+
+        if (empty($_GET["fZenithDistanceMin"]))
+            $_GET["fZenithDistanceMin"]=$first?"On":"";
+
+        if (empty($_GET["fZenithDistanceMax"]))
+            $_GET["fZenithDistanceMax"]=$first?"On":"";
+
+        if (empty($_GET["fSourceName"]))
+            $_GET["fSourceName"]=$first?"On":"";
+
+        if (empty($_GET["fObservationModeName"]))
+            $_GET["fObservationModeName"]=$first?"On":"";
+
+        if (empty($_GET["fUnsuitableInner"]))
+            $_GET["fUnsuitableInner"]=$first?"On":"";
+
+        if (empty($_GET["fUnreliableInner"]))
+            $_GET["fUnreliableInner"]=$first?"On":"";
+
+        if (empty($_GET["fIsolatedInner"]))
+            $_GET["fIsolatedInner"]=$first?"On":"";
+
+        if (empty($_GET["fIsolatedMaxCluster"]))
+            $_GET["fIsolatedMaxCluster"]=$first?"On":"";
+
+        if (empty($_GET["fArrTimeRmsInner"]))
+            $_GET["fArrTimeRmsInner"]=$first?"On":"";
+
+        if (empty($_GET["fMeanPedRmsInner"]))
+            $_GET["fMeanPedRmsInner"]=$first?"On":"";
+
+        if (empty($_GET["fPulsePosMean"]))
+            $_GET["fPulsePosMean"]=$first?"On":"";
+
+        if (empty($_GET["fConvFactorInner"]))
+            $_GET["fConvFactorInner"]=$first?"On":"";
+
+        if (empty($_GET["fInhomogeneity"]))
+            $_GET["fInhomogeneity"]=$first?"On":"";
+
+        if (empty($_GET["fPSF"]))
+            $_GET["fPSF"]=$first?"On":"";
+
+        if (empty($_GET["fMuonNumber"]))
+            $_GET["fMuonNumber"]=$first?"On":"";
+
+        if (empty($_GET["fEffOnTime/fRunTime"]))
+            $_GET["fEffOnTime/fRunTime"]=$first?"On":"";
+
+        if (empty($_GET["fMuonRate"]))
+            $_GET["fMuonRate"]=$first?"On":"";
+
+        if (empty($_GET["fDataRate"]))
+            $_GET["fDataRate"]=$first?"On":"";
+
+        if (empty($_GET["fAvgCloudiness"]))
+            $_GET["fAvgCloudiness"]=$first?"On":"";
+
+        if (empty($_GET["fNumStarsMed"]))
+            $_GET["fNumStarsMed"]=$first?"On":"";
+
+        if (empty($_GET["fNumStarsCorMed"]))
+            $_GET["fNumStarsCorMed"]=$first?"On":"";
+
+        if (empty($_GET["fOff"]))
+            $_GET["fOff"]=$first?"On":"";
+
+        if (empty($_GET["fLinks"]))
+            $_GET["fLinks"]=$first?"On":"";
+
+        if (empty($_GET["fOnlyOff"]))
+            $_GET["fOnlyOff"]=$first?"Off":"";
+
+        InitFindOffData($first);
+}
+
+function InitCTAMCRunStatus($first)
 {
     if (empty($_GET["fCorsikaSimTelarray"]))
@@ -1481,12 +1571,12 @@
 }
 
-function InitCTAMCRunInfo($_GET, $first)
+function InitCTAMCRunInfo($first)
 {
     if (empty($_GET["fNumResults"]))
         $_GET["fNumResults"]="50";
 
-    InitCTAMCRunStatus($_GET, $first);
-    InitInfo($_GET, $first);
-    InitFailInfo($_GET, $first);
+    InitCTAMCRunStatus($first);
+    InitInfo($first);
+    InitFailInfo($first);
 
     if (empty($_GET["fNumEvents"]))
Index: trunk/MagicSoft/Mars/datacenter/db/opticaldata.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/opticaldata.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/opticaldata.php	(revision 9498)
@@ -10,5 +10,5 @@
                 $groups++;
 
-        $query0 = "SELECT ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS ";
 
         if ($groups>0)
@@ -247,13 +247,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1")
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", $result1);
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/printtable.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/printtable.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/printtable.php	(revision 9498)
@@ -28,5 +28,5 @@
 
         $fromtable=$_GET["fTable"];
-        $query0  = "SELECT * FROM " . $fromtable;
+        $query0  = "SELECT SQL_CALC_FOUND_ROWS * FROM " . $fromtable;
         if (!empty($_GET["fSortBy"]))
         {
@@ -39,4 +39,5 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
@@ -50,5 +51,5 @@
                 (
                 );
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", $result1);
             }
             else
@@ -56,4 +57,5 @@
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/querycal.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/querycal.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/querycal.php	(revision 9498)
@@ -3,5 +3,5 @@
     function CreateQuery($_GET, $alias, $checkwhere)
     {
-        $query0 = "SELECT fSequenceFirst as 'Sequence#' ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS fSequenceFirst as 'Sequence#' ";
 
         foreach ($_GET as $key => $element)
@@ -217,13 +217,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1")
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $result1);
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/querymc.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/querymc.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/querymc.php	(revision 9498)
@@ -10,5 +10,5 @@
                 $groups++;
 
-        $query0 = "SELECT ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS ";
 
         if ($groups>0)
@@ -239,13 +239,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1")
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", $result1);
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/queryrbk.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/queryrbk.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/queryrbk.php	(revision 9498)
@@ -50,5 +50,5 @@
         mysql_select_db($db);
 
-        $query0  = "SELECT fRunBookDate AS Date, fRunBookText AS Entry ";
+        $query0  = "SELECT SQL_CALC_FOUND_ROWS fRunBookDate AS Date, fRunBookText AS Entry ";
         $query0 .= "FROM " . $db . ".RunBook ";
         $query0 .= "WHERE fRunBookDate REGEXP '^" . $_GET["fDate"] . "' ";
@@ -63,4 +63,5 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
@@ -76,5 +77,5 @@
                 (
                 );
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", $result1);
             }
             else
@@ -82,4 +83,5 @@
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/queryseq.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/queryseq.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/queryseq.php	(revision 9498)
@@ -10,5 +10,5 @@
                 $groups++;
 
-        $query0 = "SELECT ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS ";
 
         if ($groups>0)
@@ -314,13 +314,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1")
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", $result1);
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/querystar.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/querystar.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/querystar.php	(revision 9498)
@@ -3,5 +3,5 @@
     function CreateQuery($_GET, $alias, $checkwhere)
     {
-        $query0 = "SELECT fSequenceFirst as 'Sequence#' ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS fSequenceFirst as 'Sequence#' ";
 
         foreach ($_GET as $key => $element)
@@ -160,13 +160,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1")
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $result1);
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
